Bug 591791 - [rt2860] cannot connect via wifi
[rt2860] cannot connect via wifi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 03:17 EDT by Pavel Stehule
Modified: 2011-06-27 12:19 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (41.16 KB, application/octet-stream)
2010-05-15 01:04 EDT, Pavel Stehule
no flags Details
lspci output (1.50 KB, application/octet-stream)
2010-05-15 01:04 EDT, Pavel Stehule
no flags Details
lsubs output (364 bytes, application/octet-stream)
2010-05-15 01:05 EDT, Pavel Stehule
no flags Details
/var/log/messages output for NetworkManager connection problem (89.73 KB, text/plain)
2010-05-29 23:06 EDT, Randy Yates
no flags Details

  None (edit)
Description Pavel Stehule 2010-05-13 03:17:51 EDT
Description of problem:

connection is unsuccessful when I try to use wifi

Version-Release number of selected component (if applicable):

Fedora 13, EEE PC 1000H

How reproducible:

try to use wifi


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
ay 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): device state change: 4 -> 5 (reason 0)
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0/wireless): access point 'Auto CZ_NIC' has security, but secrets are required.
May 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): device state change: 5 -> 6 (reason 0)
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
May 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): device state change: 6 -> 4 (reason 0)
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
May 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): device state change: 4 -> 5 (reason 0)
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0/wireless): connection 'Auto CZ_NIC' has security, and secrets exist.  No new
secrets needed.
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Config: added 'ssid' value 'CZ_NIC'
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Config: added 'scan_ssid' value '1'
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Config: added 'key_mgmt' value 'WPA-PSK'
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Config: added 'psk' value '<omitted>'
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
May 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): supplicant connection state:  scanning -> disconnected
May 13 09:12:38 nemesis NetworkManager[1007]: <info> Config: set interface ap_scan to 1
May 13 09:12:38 nemesis NetworkManager[1007]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
May 13 09:12:39 nemesis NetworkManager[1007]: <info> (wlan0): supplicant connection state:  scanning -> associating
May 13 09:12:54 nemesis NetworkManager[1007]: <warn> (wlan0): link timed out.
Comment 1 Dan Williams 2010-05-14 13:07:12 EDT
What's the output of the following commands when executed in a terminal?

lsusb
lspci

Next, if you could attach your 'dmesg' output that could help us figure out what's going on with the wifi card itself during the connection.
Comment 2 Pavel Stehule 2010-05-15 00:58:50 EDT
It work form 50% well - I see list of accesable wifi nets - only I cannot to connect. Fedora 12 and 11 working well - I use a kernels compiled http://www.fedora-netbook.com/(In reply to comment #1)
> What's the output of the following commands when executed in a terminal?
> 
> lsusb
> lspci
> 
> Next, if you could attach your 'dmesg' output that could help us figure out
> what's going on with the wifi card itself during the connection.    

It work form 50% well - I see list of accesable wifi nets - only I cannot to connect. Fedora 12 and 11 working well - I use a kernels compiled http://www.fedora-netbook.com/
Comment 3 Pavel Stehule 2010-05-15 01:04:04 EDT
Created attachment 414212 [details]
dmesg output
Comment 4 Pavel Stehule 2010-05-15 01:04:38 EDT
Created attachment 414213 [details]
lspci output
Comment 5 Pavel Stehule 2010-05-15 01:05:06 EDT
Created attachment 414214 [details]
lsubs output
Comment 6 Dan Williams 2010-05-17 20:16:34 EDT
So you appear to have a RaLink RT2860 card, which has a very new driver upstream that may not quite work yet for your hardware.  Moving to kernel to track that driver's progress.
Comment 7 Randy Yates 2010-05-29 23:04:05 EDT
I'm also having a similar problem. Using f12 and kmod-rt2860, i can't get NM to connect to my WPA2/personal hidden wireless network. I can manually run iwlist and get scans, so i have some functionality. I'm going to try to attach the /var/log/messages output from NetworkManager next.
Comment 8 Randy Yates 2010-05-29 23:06:53 EDT
Created attachment 417967 [details]
/var/log/messages output for NetworkManager connection problem
Comment 9 Randy Yates 2010-05-29 23:08:45 EDT
2.6.32.12-115.fc12.i686.PAE
Comment 10 James 2010-10-12 14:55:00 EDT
I had this problem as well on an EEEPC 901 running Fedora 13, but it is resolved with the netbook kernel.
Comment 11 Bug Zapper 2011-06-02 10:06:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 12:19:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.